<header>
  <h2><%= t('page.authentication.sign_up') %></h2>
</header>

<section>
  <%= form_for(resource, as: resource_name, 
               url: registration_path(resource_name), 
               html: { class: 'form-horizontal' }) do |f| %>
  <%= devise_error_messages! %>

  <div class="form-group">
    <%= f.label :name, class: 'col-sm-2 control-label' %>
    <div class="col-sm-10">
      <%= f.text_field :name, autofocus: true, class: 'form-control',
                              placeholder: 'Your name', required: true %>
    </div>
  </div>

  <div class="form-group">
    <%= f.label :email, class: 'col-sm-2 control-label' %>
    <div class="col-sm-10">
      <%= f.email_field :email, class: 'form-control',
                          placeholder: 'example@example.com',
                          required: true %>
    </div>
  </div>

  <div class="form-group">
    <% if @minimum_password_length %>
      <em style="display: block">(<%= @minimum_password_length %> characters minimum)</em>
    <% end %>

    <%= f.label :password, class: 'col-sm-2 control-label' %>
    <div class="col-sm-10">
      <%= f.password_field :password, autocomplete: "off", 
                            class: 'form-control' %>
    </div>
  </div>

  <div class="form-group">
    <%= f.label :password_confirmation, class: 'col-sm-2 control-label'%>
    <div class="col-sm-10">
      <%= f.password_field :password_confirmation, autocomplete: "off", 
                          class: 'form-control' %>
    </div>
  </div>

  <hr>

  <div class="btn-group">
    <%= f.submit t('devise.authentication.sign_up'), 
            id: 'submit', class: 'btn btn-success btn-lg' %>
  </div>
<% end %>
<br />
<%= render "devise/shared/links" %>
</section>
